dofile("play_mode.lua")
dofile("win_mode.lua")

menu_mode = newclass("menu_mode", game_mode)

function menu_mode:start(game)
   self.need_render = true
end

function menu_mode:stop(game)
end

function menu_mode:pause(game)
end

function menu_mode:resume(game)
      self.need_render=true
end

function menu_mode:handle_events(game, event)
   local etype=event[1]
   if etype==SDL_QUIT then
      -- close button clicked
      game.quit=true
   end
   if etype==SDL_VIDEOEXPOSE then
      self.need_render=true
   end
   if etype==SDL_VIDEORESIZE then
      self.need_render=true
   end
   if etype==SDL_KEYUP then
      -- handle the keyboard
      local sym=event:get(9, "int")
--      if sym==SDLK_q or sym==SDLK_ESCAPE then
      if sym==SDLK_ESCAPE then
         self:pop_mode(game)
--         game.quit=true
      elseif sym==SDLK_SPACE then
         self:push_mode(game, play_mode())
      elseif sym==SDLK_f then
         SDL.SDL_WM_ToggleFullScreen(game.screen)
      end
   end
end

function menu_mode:update(game)
end

function menu_mode:render(game)
   if not self.need_render then return end
   SDL_BlitSurface(game.pics.menu, nil, game.screen, nil)
   SDL.SDL_UpdateRect(game.screen, 0,0,0,0)
   self.need_render = false
end
